#!/usr/bin/python
# -*- coding: <UTF-8> -*-

"""
Python Version : 3.5

$LastChangedRevision: 5322 $
$LastChangedDate:: 2021-12-06 15:31:58 +0100#$

This file is part of SyMSpace.

Copyright (c) 2017, Linz Center of Mechatronics GmbH (LCM) http://www.lcm.at/
All rights reserved.
"""

if __name__ == '__main__':
    """
    This script moves a component to a specified destination directory.

    """

    import os
    from symspace.gui.qt.form_dialog import FormDialog
    from componentspace.component_management import moveComponent
    from symspace.osutils.pathutils import Paths

    form_title = 'Move Component to different location'
    form_elements = [('Select Component directory', 'browse', Paths.getComponentSpaceRoot()),
                     ('Select destination directory', 'browse', Paths.getComponentSpaceRoot())]

    form_result = FormDialog.run(form_title, form_elements)

    if form_result['accept']:
        src = form_result['Select Component directory']
        dst = form_result['Select destination directory']
        dst = os.path.join(dst, os.path.split(src)[-1])
        print(dst)
        moveComponent(src, dst)
    else:
        print('Cancelled by user')
